
function puc_monitorCurrentPage() {
	var title = getWebNavigation().document.title;
	var url = getWebNavigation().currentURI.spec;

	window.openDialog("chrome://puc/content/pucOptions.xul", "pucOptions", 
		"centerscreen,modal", false, url, title); // 4th specifies whether to remove

}


function puc_showMenu() {
  // cloneNode and appendChild should be useful
}

function puc_removeMyPage(item) {
  if(item.page)
    window.openDialog("chrome://puc/content/pucOptions.xul", "pucOptions", 
                      "centerscreen,modal", true, item.page.url, item.page.title); // 4th specifies whether to remove    
}

function pucWindowsHideNotifyIcon(pageId) {
  var wm = Components.classes["@mozilla.org/appshell/window-mediator;1"].getService(Components.interfaces.nsIWindowMediator);
  var enumerator = wm.getEnumerator("navigator:browser");

  while(enumerator.hasMoreElements()) {
    var win = enumerator.getNext();
    win.pucHideNotifyIcon(pageId);
  }
}

function pucWindowsShowNotifyIcon(pageId) {
  var wm = Components.classes["@mozilla.org/appshell/window-mediator;1"].getService(Components.interfaces.nsIWindowMediator);
  var enumerator = wm.getEnumerator("navigator:browser");

  while(enumerator.hasMoreElements()) {
    var win = enumerator.getNext();
    win.pucShowNotifyIcon(pageId);
  }
}


function pucHideNotifyIcon(pageId) {
  var pageMenu = window.document.getElementById("puc-notify-menu-"+pageId);
  pageMenu.hidden = true;
}

function pucShowNotifyIcon(pageId) {
  var pageMenu = window.document.getElementById("puc-notify-menu-"+pageId);
  pageMenu.hidden = false;

  // I'm not sure why the "open" attribute shows up after hiding the icon,
  // but it doesn't work unless it is false
  pageMenu.setAttribute("open", false);
}

function pucShowPageChanges(page) {
  window.openDialog("chrome://puc/content/pucNotify.xul", "pucNotify"+page.id, 
                    "centerscreen,resizable", page, true); 
}